import type { LanguageDetector } from '../interfaces/LanguageDetector.js';
import type { LanguageResult } from '../../common/types/analyzer.js';
export declare class LinguistLanguageDetector implements LanguageDetector {
    private rootPath;
    constructor(rootPath: string);
    detectLanguages(path?: string): Promise<LanguageResult[]>;
    getPrimaryLanguage(path?: string): Promise<LanguageResult | null>;
    private fallbackDetection;
    private collectFileExtensions;
    private shouldIgnoreDirectory;
    private getLanguageFromExtension;
}
