import type { CLIResult } from '../../common/types.js';
interface InitArgs {
    subcommand?: string;
    force?: boolean;
    detailed?: boolean;
    json?: boolean;
    output?: string;
}
/**
 * Main init command - simplified to generate 3 files
 * No subcommands, always overwrites, Git-friendly
 */
export declare function initCommand(args: InitArgs): Promise<CLIResult>;
export {};
