export { IDUtils } from './utils/id-utils.js';
export { FileUtils } from './utils/file-utils.js';
export declare class SlugUtils {
    /**
     * Convert title to filename-safe slug
     */
    static titleToSlug(title: string): string;
}
export declare class TimeUtils {
    /**
     * Get current ISO timestamp
     */
    static now(): string;
    /**
     * Format ISO date string to human-readable format (YYYY-MM-DD HH:MM)
     */
    static formatDate(isoString: string): string;
}
